> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# End agent runtime

> Forcefully cause an agent to exit it's own runtime



## OpenAPI

````yaml /api_v1.json delete /api/v1/puppet/{namespace}/{sessionId}/{agentName}
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/puppet/{namespace}/{sessionId}/{agentName}:
    delete:
      tags:
        - puppet
      summary: End agent runtime
      description: Forcefully cause an agent to exit it's own runtime
      operationId: puppetKillAgent
      parameters:
        - name: namespace
          in: path
          description: The session's namespace
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
        - name: sessionId
          in: path
          description: The session's ID
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
        - name: agentName
          in: path
          description: The agent's name
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
      responses:
        '200':
          description: Success
          headers: {}
        '400':
          description: Agent not running
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
        '404':
          description: Agent not found
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
      deprecated: false
      security:
        - token: []
components:
  schemas:
    RouteException:
      type: object
      properties:
        message:
          type: string
          title: String
      required:
        - message
      title: RouteException
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````